﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:4.0.30319.42000
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict Off
Option Explicit On

Imports System
Imports System.ComponentModel
Imports System.Diagnostics
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Xml.Serialization

'
'This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
'
Namespace lf8nav
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code"),  _
     System.Web.Services.WebServiceBindingAttribute(Name:="PurchaseOrderWS_Binding", [Namespace]:="urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS")>  _
    Partial Public Class PurchaseOrderWS
        Inherits System.Web.Services.Protocols.SoapHttpClientProtocol
        
        Private UpdatePurchaseLineOperationCompleted As System.Threading.SendOrPostCallback
        
        Private useDefaultCredentialsSetExplicitly As Boolean
        
        '''<remarks/>
        Public Sub New()
            MyBase.New
            Me.Url = Global.Primal_PO_SQLAssembly.My.MySettings.Default.Primal_PO_SQLAssembly_lf8nav_PurchaseOrderWS
            If (Me.IsLocalFileSystemWebService(Me.Url) = true) Then
                Me.UseDefaultCredentials = true
                Me.useDefaultCredentialsSetExplicitly = false
            Else
                Me.useDefaultCredentialsSetExplicitly = true
            End If
        End Sub
        
        Public Shadows Property Url() As String
            Get
                Return MyBase.Url
            End Get
            Set
                If (((Me.IsLocalFileSystemWebService(MyBase.Url) = true)  _
                            AndAlso (Me.useDefaultCredentialsSetExplicitly = false))  _
                            AndAlso (Me.IsLocalFileSystemWebService(value) = false)) Then
                    MyBase.UseDefaultCredentials = false
                End If
                MyBase.Url = value
            End Set
        End Property
        
        Public Shadows Property UseDefaultCredentials() As Boolean
            Get
                Return MyBase.UseDefaultCredentials
            End Get
            Set
                MyBase.UseDefaultCredentials = value
                Me.useDefaultCredentialsSetExplicitly = true
            End Set
        End Property
        
        '''<remarks/>
        Public Event UpdatePurchaseLineCompleted As UpdatePurchaseLineCompletedEventHandler
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS:UpdatePurchaseLine", RequestNamespace:="urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS", ResponseElementName:="UpdatePurchaseLine_Result", ResponseNamespace:="urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Sub UpdatePurchaseLine(ByVal pONumber As String, ByVal productCode As String, ByVal unit_of_Measure_Code As String, ByVal quantity As Decimal, ByVal consigned_Quantity As Decimal, ByVal qty_Received As Decimal, ByVal qty_to_Invoice As Decimal)
            Me.Invoke("UpdatePurchaseLine", New Object() {pONumber, productCode, unit_of_Measure_Code, quantity, consigned_Quantity, qty_Received, qty_to_Invoice})
        End Sub
        
        '''<remarks/>
        Public Overloads Sub UpdatePurchaseLineAsync(ByVal pONumber As String, ByVal productCode As String, ByVal unit_of_Measure_Code As String, ByVal quantity As Decimal, ByVal consigned_Quantity As Decimal, ByVal qty_Received As Decimal, ByVal qty_to_Invoice As Decimal)
            Me.UpdatePurchaseLineAsync(pONumber, productCode, unit_of_Measure_Code, quantity, consigned_Quantity, qty_Received, qty_to_Invoice, Nothing)
        End Sub
        
        '''<remarks/>
        Public Overloads Sub UpdatePurchaseLineAsync(ByVal pONumber As String, ByVal productCode As String, ByVal unit_of_Measure_Code As String, ByVal quantity As Decimal, ByVal consigned_Quantity As Decimal, ByVal qty_Received As Decimal, ByVal qty_to_Invoice As Decimal, ByVal userState As Object)
            If (Me.UpdatePurchaseLineOperationCompleted Is Nothing) Then
                Me.UpdatePurchaseLineOperationCompleted = AddressOf Me.OnUpdatePurchaseLineOperationCompleted
            End If
            Me.InvokeAsync("UpdatePurchaseLine", New Object() {pONumber, productCode, unit_of_Measure_Code, quantity, consigned_Quantity, qty_Received, qty_to_Invoice}, Me.UpdatePurchaseLineOperationCompleted, userState)
        End Sub
        
        Private Sub OnUpdatePurchaseLineOperationCompleted(ByVal arg As Object)
            If (Not (Me.UpdatePurchaseLineCompletedEvent) Is Nothing) Then
                Dim invokeArgs As System.Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg,System.Web.Services.Protocols.InvokeCompletedEventArgs)
                RaiseEvent UpdatePurchaseLineCompleted(Me, New System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
            End If
        End Sub
        
        '''<remarks/>
        Public Shadows Sub CancelAsync(ByVal userState As Object)
            MyBase.CancelAsync(userState)
        End Sub
        
        Private Function IsLocalFileSystemWebService(ByVal url As String) As Boolean
            If ((url Is Nothing)  _
                        OrElse (url Is String.Empty)) Then
                Return false
            End If
            Dim wsUri As System.Uri = New System.Uri(url)
            If ((wsUri.Port >= 1024)  _
                        AndAlso (String.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) = 0)) Then
                Return true
            End If
            Return false
        End Function
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")>  _
    Public Delegate Sub UpdatePurchaseLineCompletedEventHandler(ByVal sender As Object, ByVal e As System.ComponentModel.AsyncCompletedEventArgs)
End Namespace
